function [ disResult,P ] = acf( X,Y,w )  %输入X是n维行向量,Y是p*m维矩阵,得到的距离结果OrderPermutation是一个p维列向量

n = length( X );
[p,n] = size( Y ); 
for i=1:p
    un = corrcoef(X,Y(i,:));
    P(i,1) = un(1,2);
end
disResult = -log(P); % p 维列向量

end